%define __libdir /lib
Name:           ufw
Version:        0.30.1 
Release:        1%{?dist}
Summary:        Uncomplicated Firewall

License:        GPLv3+
URL:            http://launchpad.net/%{name}
Source0:        http://launchpad.net/%{name}/0.30/%{version}/+download/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  iptables-devel 
BuildRequires:  iptables-ipv6 
 

%description
The Uncomplicated Firewall(ufw) is a front-end for netfilter, which
aims to make it easier for people unfamiliar with firewall concepts.
Ufw provides a framework for managing netfilter as well as 
manipulating the firewall. 

%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install \
--skip-build \
--root %{buildroot} 

for i in %{buildroot}/%{_datadir}/ufw/iptables/*.rules %{buildroot}/%{_sysconfdir}/ufw/*rules %{buildroot}/%{__libdir}/ufw/*.rules; do
chmod 644 $i
done

%files
%doc ChangeLog COPYING README* TODO AUTHORS
%{__libdir}/ufw/ufw*
%{__libdir}/ufw/user*.rules
%{_sbindir}/ufw
%{_mandir}/man8/ufw-framework.8*
%{_mandir}/man8/ufw.8*
%{_datadir}/ufw/iptables/*.rules
%{python_sitelib}/ufw-0.30.1*
%{python_sitelib}/ufw/backend_iptables.*
%{python_sitelib}/ufw/__init__.*
%{python_sitelib}/ufw/applications.*
%{python_sitelib}/ufw/backend.*
%{python_sitelib}/ufw/common.*
%{python_sitelib}/ufw/frontend.*
%{python_sitelib}/ufw/parser.*
%{python_sitelib}/ufw/util.*
%config(noreplace) %{_sysconfdir}/default/ufw
%config(noreplace) %{_sysconfdir}/ufw/after*.rules
%config(noreplace) %{_sysconfdir}/ufw/applications.d/ufw-*
%config(noreplace) %{_sysconfdir}/ufw/before*.rules
%config(noreplace) %{_sysconfdir}/ufw/sysctl.conf
%config(noreplace) %{_sysconfdir}/ufw/ufw*



%changelog
* Sun Jul 31 2011 Nathan Owe <ndowens at fedoraproject dot org> 0.30.1-1
- Initial Release
